Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 41792 - Editor color themes
Editor color themes
Status: RESOLVED WONTFIX
Product: editor
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 with 5 votes (vote)
: TBD
Assigned To: Milutin Kristofic
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 14:34 UTC by twolf2919
Modified: 2016-07-07 07:25 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Prototype editor themes module (32.39 KB, application/octet-stream)
2004-04-15 09:56 UTC, _ tboudreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description twolf2919 2004-04-07 14:34:13 UTC
It is currently (and has been since the creation
of Netbeans) very time-consuming coming up with
alternative foreground/background color
combinations in the IDE.  For instance, if someone
would prefer a black-background editor, (s)he has
to modify a dozen+ components'
foreground/background colors to make this look
reasonable (e.g. the keyword, comments, etc.
fore/background colors.)  Since there is no
support for storing these "themes" and sharing
them with others, EVERYONE who dislikes the
default color scheme has to go through this
time-consuming process.

This enhancement issue requests that Netbeans
includes a mechanism for exporting/importing
color/fonts settings that can be shared by the
Netbeans community.  As a reference, check out the
"themes" support in other programming editors
(e.g. "gvim") and terminal emulators (e.g. "CRT"
in Windows.)
Comment 1 _ tboudreau 2004-04-15 09:55:34 UTC
You could try the module in contrib/editorthemes - I wrote it in about 3 hours one 
afternoon back in December, mainly as a way of saying "look how easy it would be to do a 
reasonable colors dialog."  I'll attach a build of it.

The only problem is that it doesn't correctly save the colors - that is, when you restart, 
they may change back.  

I've been meaning to build a prototype of an entire replacement, usable, options dialog, 
which this module would be one panel of, and have the beginnings on my hard disk, but it 
keeps getting pushed out of the way by  other things - not enough spare time.
Comment 2 _ tboudreau 2004-04-15 09:56:08 UTC
Created attachment 14411 [details]
Prototype editor themes module
Comment 3 Martin Roskanin 2005-04-20 16:14:46 UTC
it is possible to overwrite(or copy) config/Editors/text/<mimeType>/fontscolors.xml
(The file is created after changing of default coloring map via
Tools/Options/Editing/Editor Settings/<* editor>/Fonts & Colors customizer)
This xml file can be shared. Unfortunately there is no UI for that and you need
to overwrite each mimeType. (Issue #22338 covers global settings.)
Comment 4 elimc 2012-04-10 08:56:07 UTC
I would love to see a better way of making themes with NetBeans. Currently, it is difficult to do so and takes lots of time. Even if there was a simple XML or JSON file that listed all colors/font styles, it would help beautiful themes proliferate through the NetBeans community.

Let's face it, the default theme is not only ugly, but bad for the eyes and coding. I want a beautiful theme on a dark background and Consolas font.

We are not coding with terminals anymore! We need to evolve.
Comment 5 mprentice 2014-03-05 21:18:05 UTC
This is majorly annoying and even worse with debugging. It puts a light green
background behind white or light gray text. It is unreadable and unusable!

Changing the defaults is also a nightmare as it requires changing 20+ settings
for debugging / current program counter / broken breakpoint / Conditional
breakpoint / etc.

This needs major improvement ASAP!
Comment 6 Martin Balin 2016-07-07 07:25:45 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo